--- old/usr/src/uts/i86pc/os/memnode.c	2014-07-28 07:44:58.274891856 -0400
+++ new/usr/src/uts/i86pc/os/memnode.c	2014-07-28 07:44:58.280941650 -0400
@@ -97,7 +97,7 @@
 	} else {
 		mem_node_config[mnode].physbase = start;
 		mem_node_config[mnode].physmax = end;
-		atomic_add_16(&num_memnodes, 1);
+		atomic_inc_16(&num_memnodes);
 		do {
 			oldmask = memnodes_mask;
 			newmask = memnodes_mask | (1ull << mnode);
@@ -163,7 +163,7 @@
 			omask = memnodes_mask;
 			nmask = omask & ~(1ull << mnode);
 		} while (atomic_cas_64(&memnodes_mask, omask, nmask) != omask);
-		atomic_add_16(&num_memnodes, -1);
+		atomic_dec_16(&num_memnodes);
 		mem_node_config[mnode].exists = 0;
 	}
 }
@@ -239,7 +239,7 @@
 
 	mem_node_config[mnode].physbase = (pfn_t)-1l;
 	mem_node_config[mnode].physmax = 0;
-	atomic_add_16(&num_memnodes, 1);
+	atomic_inc_16(&num_memnodes);
 	do {
 		oldmask = memnodes_mask;
 		newmask = memnodes_mask | (1ull << mnode);
